Subject: Re: bug#13041: 24.2; diacritic-fold-search

From: martin rudalics <[email-masked]>
Date: Wed, 05 Dec 2012 10:42:54 +0100

> This version of Martin's function (but respecting `case-fold-search') is maybe a
 > tiny bit simpler.  It could also be a bit slower because of `substring'
 > returning a copy (vs just incrementing an offset).  It should also be checked
 > for correctness - not really tested.  FWIW/HTH.

The most important application I see for this is within `sort-subr'
where I want to compare buffer substrings in situ by passing their
boundaries.  Hence I plan to provide a version working in terms of
buffer positions.  For simple string checking your version might be
preferable.

martin